package com.p3.bewoplaner.page.login;

import com.p3.bewoplaner.data.api.services.LoginService;
import com.p3.bewoplaner.data.api.services.RegisterService;
import com.p3.bewoplaner.data.api.services.VoucherService;
import com.p3.bewoplaner.di.P3DSEndpoint;
import com.p3.bewoplaner.di.VoucherEndpoint;
import com.p3.bewoplaner.di.scopes.ActivityScope;

import dagger.Module;
import dagger.Provides;
import retrofit2.Retrofit;

/**
 * Created by laszloffiferenc on 2/21/17.
 */
@Module
public class LoginModule {

    @Provides
    @ActivityScope
    LoginService provideLoginService(@P3DSEndpoint Retrofit retrofit) {
        return retrofit.create(LoginService.class);
    }

    @Provides
    @ActivityScope
    RegisterService provideRegisterService(@P3DSEndpoint Retrofit retrofit) {
        return retrofit.create(RegisterService.class);
    }

    @Provides
    @ActivityScope
    VoucherService provideVoucherService(@VoucherEndpoint Retrofit retrofit) {
        return retrofit.create(VoucherService.class);
    }
}
